<?php

namespace KupShop\GraphQLBundle\ApiPos\Types;

use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

/**
 * @Type()
 */
class PosPermission
{
    private $type;
    private $value;

    public function __construct($type, $value = false)
    {
        $this->type = $type;
        $this->value = $value;
    }

    /**
     * @Field()
     */
    public function getType(): ?string
    {
        return $this->type;
    }

    /**
     * @Field()
     */
    public function getValue(): ?bool
    {
        return $this->value;
    }
}
